.TH "orte_gpr_value_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_gpr_value_t \- Return value structure for registry requests.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <gpr_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIMakes this an object. \fP"
.ti -1c
.RI "orte_gpr_addr_mode_t \fBaddr_mode\fP"
.br
.RI "\fIAddress mode that was used for combining keys/tokens. \fP"
.ti -1c
.RI "char * \fBsegment\fP"
.br
.RI "\fIName of the segment this came from. \fP"
.ti -1c
.RI "size_t \fBcnt\fP"
.br
.RI "\fINumber of keyval objects returned. \fP"
.ti -1c
.RI "orte_gpr_keyval_t ** \fBkeyvals\fP"
.br
.RI "\fIContiguous array of keyval object pointers. \fP"
.ti -1c
.RI "size_t \fBnum_tokens\fP"
.br
.RI "\fINumber of tokens from the container that held these keyvals. \fP"
.ti -1c
.RI "char ** \fBtokens\fP"
.br
.RI "\fIList of tokens that described the container. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Return value structure for registry requests. 

A request for information stored within the registry returns an array of values that correspond to the provided tokens. Each object in the array contains an array of keyvals from a specific container. Note that the array contains \fIcopies\fP of the data in the registry. This prevents inadvertent modification of the registry, but requires the recipient to release the data's memory when done.
.PP
The address mode and segment fields are included here for convenience and so that the structure can be re-used by the put command. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
